summaryrefslogtreecommitdiffstats
path: root/source/l/gmp/gmp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gmp/gmp.SlackBuild')
-rwxr-xr-xsource/l/gmp/gmp.SlackBuild16
1 files changed, 9 insertions, 7 deletions
diff --git a/source/l/gmp/gmp.SlackBuild b/source/l/gmp/gmp.SlackBuild
index 6280e14f8..6c58428df 100755
--- a/source/l/gmp/gmp.SlackBuild
+++ b/source/l/gmp/gmp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,7 +29,7 @@ BUILD=${BUILD:-1}
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -45,8 +45,8 @@ PKG=/$TMP/package-gmp
rm -rf $PKG
mkdir -p $TMP $PKG/usr
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -70,7 +70,8 @@ esac
cd $TMP
rm -rf gmp-$VERSION
tar xvf $CWD/gmp-$VERSION.tar.xz || exit 1
-cd gmp-$VERSION
+cd gmp-$VERSION || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -90,7 +91,8 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--with-gnu-ld \
--enable-cxx \
- --build=$TARGET
+ --disable-static \
+ --build=$TARGET || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -103,7 +105,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mkdir -p $PKG/usr/doc/gmp-$VERSION
cp -a \
- AUTHORS COPYING* NEWS README \
+ AUTHORS COPYING* NEWS README* \
$PKG/usr/doc/gmp-$VERSION
# If there's a ChangeLog, installing at least part of the recent history